Bug 1693957 - The kibana was authorized as CN=system.logging.kibana by mistake
Summary: The kibana was authorized as CN=system.logging.kibana by mistake
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.0
Assignee: Jeff Cantrill
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks: 1694899
TreeView+ depends on / blocked
 
Reported: 2019-03-29 07:33 UTC by Qiaoling Tang
Modified: 2019-06-04 10:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1694899 (view as bug list)
Environment:
Last Closed: 2019-06-04 10:46:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:46:42 UTC
Github openshift cluster-logging-operator pull 142 'None' 'closed' 'bug 1693957. Partial revert of 1666674' 2019-12-04 08:08:54 UTC

Comment 2 Qiaoling Tang 2019-03-29 07:45:52 UTC
The user I use in comment 0 is kubeadmin, in comment 1 the user is qitang1, who has only one project.

If the htpasswd user has cluster-admin role, to log in kibana console, after input username and password, click "Log In", it redirects to the log in page again.

Comment 5 Jeff Cantrill 2019-03-29 19:24:43 UTC
I believe this changed introduced the issue https://bugzilla.redhat.com/show_bug.cgi?id=1666674 Please confirm if 3.11 is broken too.

Comment 7 Qiaoling Tang 2019-04-02 01:26:02 UTC
Verified in quay.io/openshift/origin-cluster-logging-operator@sha256:68e1bbbe64e7cf388226d2fe9c6edba9d8b5b72fe95eabc08d8a0f535117f805

Comment 9 errata-xmlrpc 2019-06-04 10:46:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.